Perennial Software Logo

Urgent: Software Update


Dear Customers,

Forte will be upgrading their infrastructure to support the newest security standards in response to the Payment Card Industry Data Security Standards (PCI DSS) version 3.1.

We have been working closely with Forte to upgrade our entire suite of products to support the new security requirements for integrating with Forte’s services.

As we strive to provide the best software solutions available, there are times when we need to enforce technology upgrades to help keep your business safe, secure, and inline with today’s software standards. Part of this standard is forcing our applications to transmit your data on the most secure protocol available, known as TLS 1.2.

How does this impact you and your business?
To ensure there is no disruption of service when processing payments or adding credit cards & ACH, a few requirements must be followed as identified below.



Wednesday, March 7, 2018 from 10AM-2PM CST: Forte will be conducting a live production test of the new security protocol.

  • During this 4-hour window, if you have not completed the below requirements you will have a brief disruption of Forte Services (FTP Batch Processing, Live Transactions, Add/Edit CC & ACH).
  • Once the 4-hour window is complete, you will be able to resume use of Forte services until the 4/3/18 deadline.

Tuesday, April 3, 2018: Forte will retire support for TLS 1.0 & 1.1 integrations

  • You MUST complete the below requirements to continue using Forte services (FTP Batch Processing, Live Transactions, Add/Edit CC & ACH).



.NET Framework 4.6.1 or greater MUST be installed on all clients
Download .NET Framework 4.6.1

SedonaWeb TLS 1.2 update now available

  • If you would like to update your SedonaWeb, please contact support.

Choose one of the below options:

With an exciting 2018 feature packed roadmap, we highly recommend updating SedonaOffice to the latest version. This ensures you will have access to our newest features and products as they become available.

For Web-browser Applications, we recommend upgrading to the following browser versions:

  • Internet Explorer 11
  • Google Chrome 30 or higher
  • Mozilla Firefox 27 or higher
  • Safari 8 or higher

Effective April 3, 2018, the following browsers will not be supported:

  • Internet Explorer 10
  • Google Chrome 29
  • Google Android Browser 4.4
  • Mozilla Firefox 27
  • Safari 8
  • iOS 4


TLSv1.0 & 1.1 Retirement FAQ:

What is TLS?
Transport Layer Security (TLS) is a technology protocol used to encrypt sensitive information exchanged over the Web.

Why is Forte making this change?
In response to the Payment Card Industry Data Security Standards (PCI DSS) version 3.1, Forte will discontinue support for older TLS versions 1.0 and 1.1. Effective April 3, 2018, Forte will only support TLSv1.2, as it is the most secure TLS protocol. More information on security requirements can be found here.

As always, please do not hesitate to contact us with questions. Our Support Team will be available by phone at (734) 414-0760 x 4 or via email at to assist with anything you may need.

The success of our customers is our number one priority, and we are dedicated to executing this process as quickly and smoothly as possible.

Thank you,

Perennial Software

Now available through SedonaOffice Auto Update:
SedonaOffice Version 5.7 Build 94
Download and review the release notes, below.

Download Release Notes

Click Here to access the direct download of SedonaOffice Version 5.7.94